- Documentation, Procedures, Utilities, Drivers, PDF writer, PDF Interpreter, Interpreter, Streams, Library, Other

## Documentation

    Fixes problems:
    	- Add the option -dUseCropBox to set the page size from the CropBox
    rather than the MediaBox. This is appropriate when using ghostscript to view
    PDF files or convert to bitmaps. It probably isn't appropriate for printing.
    Fixes SourceForge bugs #522486, "Wromg size EPS generated from PDF" and
    #538267 "Problems with Media Box in PDF and PS interpreter".
    (doc/Use.htm [1.33.2.13]: 2002/06/28 10:59:01 ghostgum)
    	- When ghostscript is given a PDF file on standard input, copy it to
    a temporary file before processing. Prior to version 7, ghostscript could
    read PDF from standard input redirected from a file, but not from a pipe.
    Standard input was changed in version 7 to use callouts, which prevented PDF
    reading from standard input. Fixes SourceForge bug #583413, /ioerror with gs
    - < file.pdf vers 7.xx (doc/Use.htm [1.33.2.15]: 2002/09/14 12:05:58
    ghostgum)
    	- Fix: Mentions the autoconf build method in the installation
    documentation. Inspired by a user report of having looked there first rather
    than at Make.htm; an understandible choice based on GNU/Linux packaging
    conventions. Also removes a reference to using the Acrobat Reader fonts.
    (doc/Install.htm [1.26.2.9]: 2002/09/16 21:41:40 giles)
    	- Fix a broken documentation link. (doc/Use.htm [1.33.2.17]:
    2002/09/16 22:50:31 giles)
    	- Keep pagedevice and device views of .LockSafetyParams correct even
    after a 'restore' is used to unlock. The dictionary fed to the setpagedevice
    operator is allocated in the same VM space as currentpagedevice to avoid
    invalidaccess problems. Fixed SF #580029 and does not revert to the
    incorrect behaviour of bug #516379. (doc/Language.htm [1.34.2.12]:
    2002/09/19 17:05:05 ray)
    	- adds missing files to the developer documentation.
    (doc/Develop.htm [1.47.2.16]: 2002/10/10 13:22:31 giles)
    	- release number must be updated in lib/gs_init.ps as well.
    (doc/Release.htm [1.40.2.19]: 2002/10/10 13:25:25 giles)

    Update the url for the zlib website and source. Fixes SF Bug #550585.
    (doc/Make.htm [1.36.2.13], doc/New-user.htm [1.30.2.9]: 2002/05/09 17:04:50
    giles)

    Prefer {} to () for manditory alteration groups in commandline arguments.
    Patch from Eric S. Raymond. (man/de/ps2pdf.1 [1.1.4.1],
    man/ps2pdf.1 [1.14.2.8], man/ps2pdfwr.1 [1.13.2.8]: 2002/08/08 12:27:21
    giles)

    Add missing "Summary of environment variables" header to Use.htm.
    (doc/Use.htm [1.33.2.14]: 2002/08/09 11:00:04 ghostgum)

    Delete all temporary files when the interpreter closes.
    (doc/Language.htm [1.34.2.11]: 2002/09/05 12:21:45 ghostgum)

    Add command line options -dEPS, -dEPSCrop and -dEPSFitPage for handling
    Encapsulated PostScript files. (doc/Use.htm [1.33.2.16]: 2002/09/14 12:17:25
    ghostgum)

    Removes mention of the gdevcd8.c drivers from the documentation. All of
    these printers are supported by the gimp-print and/or hpijs projects. The
    (GPL) third party drivers for them were never added to the 7.0x series.
    Closes SourceForge bug #557177. (doc/Devices.htm [1.34.2.12]: 2002/09/22
    23:02:38 giles)

    Add documentation to the .setsafe operator that was added to .locksafe
    operator that says that .setsafe uses setpagedevice, thus it will erase the
    page. Related to SourceForge bug #580029. (doc/Language.htm [1.34.2.13]:
    2002/09/23 06:19:58 ray)

    Remove excessive trademark symbols to improve compliance with the GNU coding
    guidelines. (man/de/ps2pdf.1 [1.1.4.2], man/ps2pdf.1 [1.14.2.9]: 2002/09/23
    14:53:40 giles)

    Attempt to update version info on the german manpages and port Thomas
    Hoffmann's fixes from HEAD. (man/de/ansi2knr.1 [1.1.4.1],
    man/de/dvipdf.1 [1.1.4.1], man/de/font2c.1 [1.1.4.1],
    man/de/gsnd.1 [1.2.4.1], man/de/pdf2dsc.1 [1.1.4.1],
    man/de/pdf2ps.1 [1.2.4.1], man/de/pdfopt.1 [1.1.4.1],
    man/de/printafm.1 [1.1.4.1], man/de/ps2ascii.1 [1.1.4.1],
    man/de/ps2pdf.1 [1.1.4.3], man/de/ps2ps.1 [1.2.4.1],
    man/de/wftopfa.1 [1.1.4.1]: 2002/09/23 15:57:35 giles)

    Improve compliance with GNU coding standards by removing references to
    other software. (doc/API.htm [1.11.2.11], doc/C-style.htm [1.21.2.9],
    doc/Current.htm [1.13.2.9], doc/DLL.htm [1.15.2.9], doc/Develop.htm
    [1.47.2.14], doc/Devices.htm [1.34.2.13], doc/Drivers.htm [1.21.2.9],
    doc/Fonts.htm [1.22.2.10], doc/Helpers.htm [1.17.2.9], doc/Hershey.htm
    [1.3.4.1], doc/History1.htm [1.13.2.9], doc/History2.htm [1.13.2.9],
    doc/History3.htm [1.13.2.9], doc/History4.htm [1.13.2.9], doc/History5.htm
    [1.15.2.9], doc/History6.htm [1.30.2.9], doc/History7.htm [1.5.2.13],
    doc/Htmstyle.htm [1.18.2.9], doc/Humor.htm [1.3.2.2], doc/Install.htm
    [1.26.2.10], doc/Issues.htm [1.15.2.10], doc/Language.htm [1.34.2.14],
    doc/Lib.htm [1.14.2.9], doc/Maintain.htm [1.23.2.9], doc/Make.htm
    [1.36.2.14], doc/New-user.htm [1.30.2.10], doc/News.htm [1.90.2.15],
    doc/Projects.htm [1.33.2.9], doc/Ps-style.htm [1.13.2.9], doc/Ps2epsi.htm
    [1.15.2.10], doc/Ps2pdf.htm [1.32.2.9], doc/Psfiles.htm [1.22.2.10],
    doc/Readme.htm [1.31.2.11], doc/Release.htm [1.40.2.16], doc/Source.htm
    [1.13.2.9], doc/Unix-lpr.htm [1.13.2.9], doc/Use.htm [1.33.2.18],
    doc/Xfonts.htm [1.13.2.9]: 2002/09/23 16:26:21 giles)

    Additional german manpage cleanup thanks to the Jens Harting.
    (man/de/ansi2knr.1 [1.1.4.2], man/de/dvipdf.1 [1.1.4.2],
    man/de/font2c.1 [1.1.4.2], man/de/gsnd.1 [1.2.4.2],
    man/de/pdf2dsc.1 [1.1.4.2], man/de/pdf2ps.1 [1.2.4.2],
    man/de/pdfopt.1 [1.1.4.2], man/de/ps2ascii.1 [1.1.4.2],
    man/de/ps2pdf.1 [1.1.4.4], man/de/ps2ps.1 [1.2.4.2]: 2002/09/23 17:24:44
    giles)

    Improve compliance with the GNU coding guidelines on references to other
    software. (doc/Readme.htm [1.31.2.12]: 2002/09/25 14:58:34 giles)

    Further improvement of compliance with the GNU coding guidelines on
    references to other software. (doc/Make.htm [1.36.2.15], doc/New-user.htm
    [1.30.2.11]: 2002/09/25 18:13:29 giles)

    Further improvement of compliance with the GNU coding guidelines on
    references to other software. (doc/gs-vms.hlp [1.12.2.8]: 2002/10/07
    22:18:20 giles)

    Remove Tester.htm. It's (probably) out of date. (doc/Readme.htm
    [1.31.2.13]: 2002/10/07 22:19:40 giles)

    Last round of refinement for compliance with GNU coding
    standards. (doc/Fonts.htm [1.22.2.11], doc/Install.htm [1.26.2.11],
    doc/Issues.htm [1.15.2.11], doc/Maintain.htm [1.23.2.10], doc/Make.htm
    [1.36.2.16], doc/New-user.htm [1.30.2.12], doc/Readme.htm [1.31.2.14],
    doc/Release.htm [1.40.2.17]: 2002/10/08 08:24:34 giles)

    Remove remaining elements of support for K&R (pre-ansi) C. We no longer
    support building ghostscript tt way, but the remaining dead code causes
    confusion for some users. Closes Sourceforge bug #618048.
    (doc/Develop.htm [1.47.2.15], doc/Make.htm [1.36.2.17],
    doc/Release.htm [1.40.2.18]: 2002/10/10 00:28:26 giles)

    Update version number and date for release. (doc/API.htm [1.11.2.12],
    doc/C-style.htm [1.21.2.10], doc/Current.htm [1.13.2.10],
    doc/DLL.htm [1.15.2.10], doc/Develop.htm [1.47.2.17],
    doc/Devices.htm [1.34.2.14], doc/Drivers.htm [1.21.2.10],
    doc/Fonts.htm [1.22.2.12], doc/Helpers.htm [1.17.2.10],
    doc/History1.htm [1.13.2.10], doc/History2.htm [1.13.2.10],
    doc/History3.htm [1.13.2.10], doc/History4.htm [1.13.2.10],
    doc/History5.htm [1.15.2.10], doc/History6.htm [1.30.2.10],
    doc/History7.htm [1.5.2.14], doc/Htmstyle.htm [1.18.2.10],
    doc/Install.htm [1.26.2.12], doc/Issues.htm [1.15.2.12],
    doc/Language.htm [1.34.2.15], doc/Lib.htm [1.14.2.10],
    doc/Maintain.htm [1.23.2.11], doc/Make.htm [1.36.2.18],
    doc/New-user.htm [1.30.2.13], doc/News.htm [1.90.2.16],
    doc/Projects.htm [1.33.2.10], doc/Ps-style.htm [1.13.2.10],
    doc/Ps2epsi.htm [1.15.2.11], doc/Ps2pdf.htm [1.32.2.10],
    doc/Psfiles.htm [1.22.2.11], doc/Readme.htm [1.31.2.15],
    doc/Release.htm [1.40.2.20], doc/Source.htm [1.13.2.10],
    doc/Unix-lpr.htm [1.13.2.10], doc/Use.htm [1.33.2.19],
    doc/Xfonts.htm [1.13.2.10], doc/gs-vms.hlp [1.12.2.9]: 2002/10/10 13:36:49
    giles)

    Update version number and date for release. (man/dvipdf.1 [1.10.2.8],
    man/font2c.1 [1.10.2.8], man/gs.1 [1.10.2.9], man/gslp.1 [1.10.2.8],
    man/gsnd.1 [1.10.2.8], man/pdf2dsc.1 [1.10.2.8], man/pdf2ps.1 [1.12.2.8],
    man/pdfopt.1 [1.10.2.8], man/pf2afm.1 [1.10.2.8], man/pfbtopfa.1 [1.11.2.8],
    man/printafm.1 [1.10.2.8], man/ps2ascii.1 [1.10.2.8],
    man/ps2epsi.1 [1.10.2.9], man/ps2pdf.1 [1.14.2.10],
    man/ps2pdfwr.1 [1.13.2.9], man/ps2ps.1 [1.17.2.8], man/wftopfa.1 [1.10.2.8]:
    2002/10/10 13:37:00 giles)

    Improvements to processing of EPS files. (doc/Use.htm [1.33.2.20]:
    2002/10/31 11:12:12 ghostgum)

    Correct the documented paper sizes in Use.htm to match gs_statd.ps after fix
    for SF bug # 536877. Change cm units to the more common mm.
    (doc/Use.htm [1.33.2.21]: 2002/11/04 22:55:35 ghostgum)

    Add working 'distclean' and 'maintainer-clean' targets to the autoconf
    makefile. Backport from HEAD. (doc/Release.htm [1.40.2.22]: 2002/12/02
    00:10:23 giles)

    Update release date for second candidate. (doc/API.htm [1.11.2.13],
    doc/C-style.htm [1.21.2.11], doc/DLL.htm [1.15.2.11],
    doc/Develop.htm [1.47.2.18], doc/Devices.htm [1.34.2.15],
    doc/Drivers.htm [1.21.2.11], doc/Fonts.htm [1.22.2.13],
    doc/Helpers.htm [1.17.2.11], doc/History1.htm [1.13.2.11],
    doc/History2.htm [1.13.2.11], doc/History3.htm [1.13.2.11],
    doc/History4.htm [1.13.2.11], doc/History5.htm [1.15.2.11],
    doc/History6.htm [1.30.2.11], doc/History7.htm [1.5.2.16],
    doc/Htmstyle.htm [1.18.2.11], doc/Install.htm [1.26.2.13],
    doc/Issues.htm [1.15.2.13], doc/Language.htm [1.34.2.16],
    doc/Lib.htm [1.14.2.11], doc/Maintain.htm [1.23.2.12],
    doc/Make.htm [1.36.2.19], doc/New-user.htm [1.30.2.14],
    doc/News.htm [1.90.2.18], doc/Projects.htm [1.33.2.11],
    doc/Ps-style.htm [1.13.2.11], doc/Ps2epsi.htm [1.15.2.12],
    doc/Ps2pdf.htm [1.32.2.11], doc/Psfiles.htm [1.22.2.12],
    doc/Readme.htm [1.31.2.16], doc/Release.htm [1.40.2.23],
    doc/Source.htm [1.13.2.11], doc/Unix-lpr.htm [1.13.2.11],
    doc/Use.htm [1.33.2.22], doc/Xfonts.htm [1.13.2.11],
    doc/gs-vms.hlp [1.12.2.10]: 2002/12/02 01:54:36 giles)

    Update release date for second candidate. (man/dvipdf.1 [1.10.2.9],
    man/font2c.1 [1.10.2.9], man/gs.1 [1.10.2.10], man/gslp.1 [1.10.2.9],
    man/gsnd.1 [1.10.2.9], man/pdf2dsc.1 [1.10.2.9], man/pdf2ps.1 [1.12.2.9],
    man/pdfopt.1 [1.10.2.9], man/pf2afm.1 [1.10.2.9], man/pfbtopfa.1 [1.11.2.9],
    man/printafm.1 [1.10.2.9], man/ps2ascii.1 [1.10.2.9],
    man/ps2epsi.1 [1.10.2.10], man/ps2pdf.1 [1.14.2.11],
    man/ps2pdfwr.1 [1.13.2.10], man/ps2ps.1 [1.17.2.9],
    man/wftopfa.1 [1.10.2.9]: 2002/12/02 01:54:43 giles)

    Change documentation and changelogs to better comply with GNU coding
    guidelines. Patch from Brett Smith. (doc/API.htm [1.11.2.13.2.1],
    doc/Changes.htm [1.28.2.8.2.1], doc/Develop.htm [1.47.2.18.2.1],
    doc/Devices.htm [1.34.2.15.2.1], doc/Fonts.htm [1.22.2.13.2.1],
    doc/History2.htm [1.13.2.11.2.1], doc/History3.htm [1.13.2.11.2.1],
    doc/History4.htm [1.13.2.11.2.1], doc/History5.htm [1.15.2.11.2.1],
    doc/History6.htm [1.30.2.11.2.1], doc/History7.htm [1.5.2.17.2.1],
    doc/Install.htm [1.26.2.13.2.1], doc/Maintain.htm [1.23.2.12.2.1],
    doc/Make.htm [1.36.2.19.2.1], doc/New-user.htm [1.30.2.14.2.1],
    doc/Projects.htm [1.33.2.11.2.1], doc/Ps2epsi.htm [1.15.2.12.2.1],
    doc/Release.htm [1.40.2.23.2.1], doc/Use.htm [1.33.2.22.2.1]: 2003/01/17
    00:58:51 giles)

    Update release date for final 7.06 release. (doc/API.htm [1.11.2.13.2.2],
    doc/C-style.htm [1.21.2.11.2.1], doc/DLL.htm [1.15.2.11.2.1],
    doc/Develop.htm [1.47.2.18.2.2], doc/Devices.htm [1.34.2.15.2.2],
    doc/Drivers.htm [1.21.2.11.2.1], doc/Fonts.htm [1.22.2.13.2.2],
    doc/Helpers.htm [1.17.2.11.2.1], doc/History1.htm [1.13.2.11.2.1],
    doc/History2.htm [1.13.2.11.2.2], doc/History3.htm [1.13.2.11.2.2],
    doc/History4.htm [1.13.2.11.2.2], doc/History5.htm [1.15.2.11.2.2],
    doc/History6.htm [1.30.2.11.2.2], doc/History7.htm [1.5.2.17.2.2],
    doc/Htmstyle.htm [1.18.2.11.2.1], doc/Install.htm [1.26.2.13.2.2],
    doc/Issues.htm [1.15.2.13.2.1], doc/Language.htm [1.34.2.16.2.1],
    doc/Lib.htm [1.14.2.11.2.1], doc/Maintain.htm [1.23.2.12.2.2],
    doc/Make.htm [1.36.2.19.2.2], doc/New-user.htm [1.30.2.14.2.2],
    doc/News.htm [1.90.2.18.2.1], doc/Projects.htm [1.33.2.11.2.2],
    doc/Ps-style.htm [1.13.2.11.2.1], doc/Ps2epsi.htm [1.15.2.12.2.2],
    doc/Ps2pdf.htm [1.32.2.11.2.1], doc/Psfiles.htm [1.22.2.12.2.1],
    doc/Readme.htm [1.31.2.16.2.1], doc/Release.htm [1.40.2.23.2.2],
    doc/Source.htm [1.13.2.11.2.1], doc/Unix-lpr.htm [1.13.2.11.2.1],
    doc/Use.htm [1.33.2.22.2.2], doc/Xfonts.htm [1.13.2.11.2.1],
    doc/gs-vms.hlp [1.12.2.10.2.1], man/dvipdf.1 [1.10.2.9.2.1],
    man/font2c.1 [1.10.2.9.2.1], man/gs.1 [1.10.2.10.2.1],
    man/gslp.1 [1.10.2.9.2.1], man/gsnd.1 [1.10.2.9.2.1],
    man/pdf2dsc.1 [1.10.2.9.2.1], man/pdf2ps.1 [1.12.2.9.2.1],
    man/pdfopt.1 [1.10.2.9.2.1], man/pf2afm.1 [1.10.2.9.2.1],
    man/pfbtopfa.1 [1.11.2.9.2.1], man/printafm.1 [1.10.2.9.2.1],
    man/ps2ascii.1 [1.10.2.9.2.1], man/ps2epsi.1 [1.10.2.10.2.1],
    man/ps2pdf.1 [1.14.2.11.2.1], man/ps2pdfwr.1 [1.13.2.10.2.1],
    man/ps2ps.1 [1.17.2.9.2.1], man/wftopfa.1 [1.10.2.9.2.1]: 2003/02/09
    16:20:03 giles)

    Correct a typo in the release date. (doc/API.htm [1.11.2.13.2.3],
    doc/C-style.htm [1.21.2.11.2.2], doc/DLL.htm [1.15.2.11.2.2],
    doc/Develop.htm [1.47.2.18.2.3], doc/Devices.htm [1.34.2.15.2.3],
    doc/Drivers.htm [1.21.2.11.2.2], doc/Fonts.htm [1.22.2.13.2.3],
    doc/Helpers.htm [1.17.2.11.2.2], doc/History1.htm [1.13.2.11.2.2],
    doc/History2.htm [1.13.2.11.2.3], doc/History3.htm [1.13.2.11.2.3],
    doc/History4.htm [1.13.2.11.2.3], doc/History5.htm [1.15.2.11.2.3],
    doc/History6.htm [1.30.2.11.2.3], doc/History7.htm [1.5.2.17.2.3],
    doc/Htmstyle.htm [1.18.2.11.2.2], doc/Install.htm [1.26.2.13.2.3],
    doc/Issues.htm [1.15.2.13.2.2], doc/Language.htm [1.34.2.16.2.2],
    doc/Lib.htm [1.14.2.11.2.2], doc/Maintain.htm [1.23.2.12.2.3],
    doc/Make.htm [1.36.2.19.2.3], doc/New-user.htm [1.30.2.14.2.3],
    doc/News.htm [1.90.2.18.2.2], doc/Projects.htm [1.33.2.11.2.3],
    doc/Ps-style.htm [1.13.2.11.2.2], doc/Ps2epsi.htm [1.15.2.12.2.3],
    doc/Ps2pdf.htm [1.32.2.11.2.2], doc/Psfiles.htm [1.22.2.12.2.2],
    doc/Readme.htm [1.31.2.16.2.2], doc/Release.htm [1.40.2.23.2.3],
    doc/Source.htm [1.13.2.11.2.2], doc/Unix-lpr.htm [1.13.2.11.2.2],
    doc/Use.htm [1.33.2.22.2.3], doc/Xfonts.htm [1.13.2.11.2.2],
    doc/gs-vms.hlp [1.12.2.10.2.2], man/dvipdf.1 [1.10.2.9.2.2],
    man/font2c.1 [1.10.2.9.2.2], man/gs.1 [1.10.2.10.2.2],
    man/gslp.1 [1.10.2.9.2.2], man/gsnd.1 [1.10.2.9.2.2],
    man/pdf2dsc.1 [1.10.2.9.2.2], man/pdf2ps.1 [1.12.2.9.2.2],
    man/pdfopt.1 [1.10.2.9.2.2], man/pf2afm.1 [1.10.2.9.2.2],
    man/pfbtopfa.1 [1.11.2.9.2.2], man/printafm.1 [1.10.2.9.2.2],
    man/ps2ascii.1 [1.10.2.9.2.2], man/ps2epsi.1 [1.10.2.10.2.2],
    man/ps2pdf.1 [1.14.2.11.2.2], man/ps2pdfwr.1 [1.13.2.10.2.2],
    man/ps2ps.1 [1.17.2.9.2.2], man/wftopfa.1 [1.10.2.9.2.2]: 2003/02/09
    17:07:08 giles)

    Update changelog and release date. (doc/News.htm [1.90.2.18.2.3]: 2003/03/31
    13:56:42 giles)

    Propagate new release date to all documentation.
    (doc/API.htm [1.11.2.13.2.4], doc/C-style.htm [1.21.2.11.2.3],
    doc/DLL.htm [1.15.2.11.2.3], doc/Develop.htm [1.47.2.18.2.4],
    doc/Devices.htm [1.34.2.15.2.4], doc/Drivers.htm [1.21.2.11.2.3],
    doc/Fonts.htm [1.22.2.13.2.4], doc/Helpers.htm [1.17.2.11.2.3],
    doc/History1.htm [1.13.2.11.2.3], doc/History2.htm [1.13.2.11.2.4],
    doc/History3.htm [1.13.2.11.2.4], doc/History4.htm [1.13.2.11.2.4],
    doc/History5.htm [1.15.2.11.2.4], doc/History6.htm [1.30.2.11.2.4],
    doc/History7.htm [1.5.2.17.2.4], doc/Htmstyle.htm [1.18.2.11.2.3],
    doc/Install.htm [1.26.2.13.2.4], doc/Issues.htm [1.15.2.13.2.3],
    doc/Language.htm [1.34.2.16.2.3], doc/Lib.htm [1.14.2.11.2.3],
    doc/Maintain.htm [1.23.2.12.2.4], doc/Make.htm [1.36.2.19.2.4],
    doc/New-user.htm [1.30.2.14.2.4], doc/News.htm [1.90.2.18.2.4],
    doc/Projects.htm [1.33.2.11.2.4], doc/Ps-style.htm [1.13.2.11.2.3],
    doc/Ps2epsi.htm [1.15.2.12.2.4], doc/Ps2pdf.htm [1.32.2.11.2.3],
    doc/Psfiles.htm [1.22.2.12.2.3], doc/Readme.htm [1.31.2.16.2.3],
    doc/Release.htm [1.40.2.23.2.4], doc/Source.htm [1.13.2.11.2.3],
    doc/Unix-lpr.htm [1.13.2.11.2.3], doc/Use.htm [1.33.2.22.2.4],
    doc/Xfonts.htm [1.13.2.11.2.3], doc/gs-vms.hlp [1.12.2.10.2.3],
    man/dvipdf.1 [1.10.2.9.2.3], man/font2c.1 [1.10.2.9.2.3],
    man/gs.1 [1.10.2.10.2.3], man/gslp.1 [1.10.2.9.2.3],
    man/gsnd.1 [1.10.2.9.2.3], man/pdf2dsc.1 [1.10.2.9.2.3],
    man/pdf2ps.1 [1.12.2.9.2.3], man/pdfopt.1 [1.10.2.9.2.3],
    man/pf2afm.1 [1.10.2.9.2.3], man/pfbtopfa.1 [1.11.2.9.2.3],
    man/printafm.1 [1.10.2.9.2.3], man/ps2ascii.1 [1.10.2.9.2.3],
    man/ps2epsi.1 [1.10.2.10.2.3], man/ps2pdf.1 [1.14.2.11.2.3],
    man/ps2pdfwr.1 [1.13.2.10.2.3], man/ps2ps.1 [1.17.2.9.2.3],
    man/wftopfa.1 [1.10.2.9.2.3]: 2003/03/31 14:00:26 giles)

## Procedures

    Fixes problems:
    	- .pushpdf14devicefilter was defined in zdfilter.c, but depended on
    the optional pdf module's transparency features. Moves the definition of
    this routine to the conditionally included ztrans.c. Fix by L. Peter
    Deutsch, resolves SourceForge Bug 565019. (int.mak [1.50.2.4]: 2002/06/14
    09:53:12 giles)
    	- As a result of a recent fix, an opdef table had more than 16
    entries, causing initialization to abort. backporting a fix by L. Peter
    Deutsch from HEAD. (int.mak [1.50.2.5]: 2002/06/14 15:26:00 giles)
    	- When building an archive of the graphics library or interpreter,
    add only the object files, not the .dev and interpreter files. Fixes
    SourceForge bug # 538311 - files missing from library archive.
    (gs.mak [1.5.2.4], ugcclib.mak [1.13.2.6], unixlink.mak [1.3.4.2]:
    2002/06/22 03:34:43 ghostgum)
    	- Provide an implementation of popen for Windows, to avoid the
    broken implementation in MSVC++ 5 and 6. This allows pswrite to output to a
    pipe on Windows. Fixes SourceForge bug #482038, pswrite does not write to
    pipe. (winlib.mak [1.12.2.3]: 2002/09/05 10:19:00 ghostgum)
    	- provide a meaningful error message when an immediately evaluated
    name can not be found. Fixes SourceForge bug #543185, Confusing diagnostics
    for //undefined. (int.mak [1.50.2.6]: 2002/09/14 11:59:15 ghostgum)

    Update the url for the zlib website and source. Fixes SF Bug #550585.
    (zlib.mak [1.3.2.2]: 2002/05/09 17:04:50 giles)

    Add a 32 bit/pixel CMYK driver named pam using the Portable Arbitrary Map
    file format, one of the netpbm family. This driver has problems with
    anti-aliasing that will be fixed in a later patch. (devs.mak [1.47.2.7]:
    2002/06/22 03:44:00 ghostgum)

    Remove spurious build of the gtk client along with the macos framework.
    Backport the 'framework_install' target from HEAD. (macos-fw.mak [1.1.2.3]:
    2002/08/07 13:05:17 giles)

    Add command line options -dEPS, -dEPSCrop and -dEPSFitPage for handling
    Encapsulated PostScript files. (bcwin32.mak [1.12.2.6],
    msvc32.mak [1.20.2.8]: 2002/09/14 12:17:26 ghostgum)

    Remove some interpreter references from the graphics library. Partial fix
    for SourceForge bug #542848, "library #includes interpreter headers".
    (lib.mak [1.53.2.5], msvclib.mak [1.16.2.4], msvctail.mak [1.6.2.2],
    pcwin.mak [1.2.6.2]: 2002/09/14 12:25:55 ghostgum)

    Prune the dead 'begin' makefile target. This was supposedly removed in
    release 5.20. (gs.mak [1.5.2.5]: 2002/10/09 22:07:08 giles)

    Remove remaining elements of support for K&R (pre-ansi) C. We no longer
    support building ghostscript tt way, but the remaining dead code causes
    confusion for some users. Closes Sourceforge bug #618048.
    (dvx-gcc.mak [1.12.2.6], dvx-tail.mak [1.5.2.2], gs.mak [1.5.2.6],
    macos-mcp.mak [1.3.2.5], macosx.mak [1.3.2.7], openvms.mak [1.16.2.6],
    openvms.mmk [1.12.2.3], os2.mak [1.19.2.6], ugcclib.mak [1.13.2.7],
    unix-aux.mak [1.5.2.3], unix-gcc.mak [1.23.2.10], unixansi.mak [1.16.2.9],
    wccommon.mak [1.3.6.2], winlib.mak [1.12.2.4]: 2002/10/10 00:24:01 giles)

    Set USE_ASM to zero explicitly. (unix-gcc.mak [1.23.2.11],
    unixansi.mak [1.16.2.10]: 2002/10/10 12:47:49 giles)

    Update libpng version number to latest release. (all-arch.mak [1.9.2.4],
    bcwin32.mak [1.12.2.7], dvx-gcc.mak [1.12.2.7], macos-mcp.mak [1.3.2.6],
    macosx.mak [1.3.2.8], msvc32.mak [1.20.2.9], msvclib.mak [1.16.2.5],
    openvms.mak [1.16.2.7], os2.mak [1.19.2.7], ugcclib.mak [1.13.2.8],
    unix-gcc.mak [1.23.2.12], unixansi.mak [1.16.2.11], watc.mak [1.16.2.4],
    watclib.mak [1.13.2.5], watcw32.mak [1.13.2.5]: 2002/10/10 13:35:51 giles)

    Update version number and date for release. (version.mak [1.36.2.8]:
    2002/10/10 13:37:03 giles)

    Module gslib removed from the library archive. Further fix for [ 538311 ]
    files missing from library archive. (ugcclib.mak [1.13.2.9]: 2002/11/02
    04:31:13 ghostgum)

    Backport MacOS build updates for Metrowerks CW8 from HEAD.
    (macos-mcp.mak [1.3.2.7], macosx.mak [1.3.2.9]: 2002/12/01 23:29:37 giles)

    Update libpng version makefile variables to 10205. These were accidentally
    reverted in the last commit. (macos-mcp.mak [1.3.2.8],
    macosx.mak [1.3.2.10]: 2002/12/01 23:32:56 giles)

    Add working 'distclean' and 'maintainer-clean' targets to the autoconf
    makefile. Backport from HEAD. (gs.mak [1.5.2.7]: 2002/12/02 00:10:24 giles)

    Update release date for second candidate. (version.mak [1.36.2.9]:
    2002/12/02 01:55:46 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (all-arch.mak [1.9.2.4.2.1], bcwin32.mak [1.12.2.7.2.1],
    cfonts.mak [1.2.6.1.2.1], contrib.mak [1.24.2.1.2.1],
    devs.mak [1.47.2.7.2.1], dvx-gcc.mak [1.12.2.7.2.1],
    dvx-head.mak [1.2.6.1.2.1], dvx-tail.mak [1.5.2.2.2.1],
    dwmain.rc [1.2.6.2.2.1], dwsetup.rc [1.5.2.4.2.1],
    dwuninst.rc [1.3.6.2.2.1], gs.mak [1.5.2.7.2.1], gs16spl.rc [1.2.6.2.2.1],
    gsdll2.rc [1.2.6.1.2.1], gsdll32.rc [1.2.6.2.2.1]: 2003/01/17 00:49:00
    giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (gsos2.rc [1.2.6.1.2.1], gspmdrv.rc [1.2.6.1.2.1],
    gswin.rc [1.2.6.2.2.1], icclib.mak [1.3.2.2.2.1], ijs.mak [1.2.2.2.2.1],
    int.mak [1.50.2.6.2.1], jpeg.mak [1.4.2.1.2.1], lib.mak [1.53.2.5.2.1],
    libpng.mak [1.10.2.3.2.1], macos-fw.mak [1.1.2.3.2.1],
    macos-mcp.mak [1.3.2.8.2.1], macosx.mak [1.3.2.10.2.1],
    msvc32.mak [1.20.2.9.2.1], msvccmd.mak [1.6.2.1.2.1],
    msvclib.mak [1.16.2.5.2.1], msvctail.mak [1.6.2.2.2.1],
    openvms.mak [1.16.2.7.2.1], openvms.mmk [1.12.2.3.2.1],
    os2.mak [1.19.2.7.2.1], pcwin.mak [1.2.6.2.2.1], ugcclib.mak [1.13.2.9.2.1],
    unix-aux.mak [1.5.2.3.2.1], unix-dll.mak [1.6.2.2.2.1],
    unix-end.mak [1.2.6.1.2.1], unix-gcc.mak [1.23.2.12.2.1],
    unixansi.mak [1.16.2.11.2.1], unixhead.mak [1.2.6.1.2.1],
    unixinst.mak [1.20.2.9.2.1], unixlink.mak [1.3.4.2.2.1],
    version.mak [1.36.2.9.2.1], watclib.mak [1.13.2.5.2.1],
    watcw32.mak [1.13.2.5.2.1], wccommon.mak [1.3.6.2.2.1],
    wctail.mak [1.3.2.2.2.1], winint.mak [1.8.2.5.2.1],
    winlib.mak [1.12.2.4.2.1], winplat.mak [1.2.6.1.2.1],
    wmin.mak [1.2.6.1.2.1]: 2003/01/17 00:49:03 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (zlib.mak [1.3.2.2.2.1]: 2003/01/17 00:49:06 giles)

    Makefile banner lines should be comments. (gs.mak [1.5.2.7.2.2]: 2003/01/28
    12:02:09 ghostgum)

    Update release date for final 7.06 release. (version.mak [1.36.2.9.2.2]:
    2003/02/09 16:20:05 giles)

    Add pngalpha device that uses RGBA, with the alpha channel providing pixel
    coverage. Used for generating PNG images with a transparent background.
    (bcwin32.mak [1.12.2.7.2.2], devs.mak [1.47.2.7.2.2],
    macosx.mak [1.3.2.10.2.2], msvc32.mak [1.20.2.9.2.2],
    openvms.mak [1.16.2.7.2.2], os2.mak [1.19.2.7.2.2],
    unix-gcc.mak [1.23.2.12.2.2], unixansi.mak [1.16.2.11.2.2],
    watcw32.mak [1.13.2.5.2.2]: 2003/03/11 11:59:10 ghostgum)

    Backport MacOS build updates for Metrowerks CW8 from HEAD.
    (gp_mac.c [1.1.4.3], gp_macio.c [1.2.4.4], macgenmcpxml.sh [1.1.4.4]:
    2002/12/01 23:29:37 giles)
    Update changelog and release date. (version.mak [1.36.2.9.2.3]: 2003/03/31
    13:56:42 giles)

    Correct the copyright date and avoid putting NT security attributes into the
    Windows distribution archive. (winint.mak [1.8.2.5.2.2]: 2003/04/01 09:30:59
    ghostgum)

## Utilities

    Fixes problems:
    	- Reinstate ps2epsi.bat and ps2epsi.cmd. Correctly embed the
    original EPS file in the output of ps2epsi on Windows and OS/2.
    (lib/ps2epsi.bat [1.6.2.2], lib/ps2epsi.cmd [1.3.2.2]: 2002/04/26 00:24:45
    ghostgum)
    	- Temporary files weren't being put in the proper location under
    MacOS X/Carbon. Updates the the proper prameter block type for the Carbon
    interface so this works properly on both OS 9/X. Patch from Erik Strik.
    (gp_macio.c [1.2.4.3]: 2002/06/13 15:40:59 giles)
    	- Provide an implementation of popen for Windows, to avoid the
    broken implementation in MSVC++ 5 and 6. This allows pswrite to output to a
    pipe on Windows. Fixes SourceForge bug #482038, pswrite does not write to
    pipe. (gp_mswin.c [1.7.2.2]: 2002/09/05 10:19:00 ghostgum)

    Remove the DOS and OS/2 versions of the ps2epsi code. They have been broken
    for some time. (lib/ps2epsi.bat [1.6.2.1], lib/ps2epsi.cmd [1.3.2.1]:
    2002/04/22 20:38:01 giles)

    Changes to the gtk+ client to request a suitable window size based on the
    screen and image sizes, to reduce unnecessary redraws and erase the window
    area outside the image. (dxmain.c [1.7.2.2]: 2002/04/26 05:03:20 ghostgum)

    Update project file generation script to support Metrowerks CodeWarrior 7.
    (macgenmcpxml.sh [1.1.4.3]: 2002/09/04 09:02:38 giles)

    Backport MacOS build updates for Metrowerks CW8 from HEAD.
    (gp_mac.c [1.1.4.3], gp_macio.c [1.2.4.4], macgenmcpxml.sh [1.1.4.4]:
    2002/12/01 23:29:37 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (bench.c [1.4.4.1.2.1], dxmain.c [1.7.2.2.2.1],
    dxmainc.c [1.4.2.2.2.1], echogs.c [1.3.2.1.2.1], genarch.c [1.2.6.1.2.1],
    genconf.c [1.4.4.1.2.1], gendev.c [1.2.6.1.2.1], genht.c [1.2.6.1.2.1],
    geninit.c [1.3.6.1.2.1], gp_dvx.c [1.4.2.1.2.1], gp_iwatc.c [1.6.2.2.2.1],
    gp_mac.c [1.1.4.3.2.1], gp_macio.c [1.2.4.5.2.1], gp_mktmp.c [1.2.6.1.2.1],
    gp_msdll.c [1.1.2.1.2.1], gp_mshdl.c [1.2.6.1.2.1], gp_msio.c [1.3.4.1.2.1],
    gp_mslib.c [1.3.2.1.2.1], gp_mspol.c [1.1.2.1.2.1],
    gp_msprn.c [1.1.2.1.2.1], gp_mswin.c [1.7.2.3.2.1], gp_ntfs.c [1.5.2.4.2.1],
    gp_os2.c [1.10.2.3.2.1], gp_os9.c [1.4.2.1.2.1], gp_stdia.c [1.3.2.1.2.1],
    gp_stdin.c [1.2.2.1.2.1], gp_sysv.c [1.2.6.1.2.1], gp_unix.c [1.5.2.1.2.1],
    gp_vms.c [1.7.2.3.2.1], gp_wgetv.c [1.4.2.2.2.1], gp_win32.c [1.2.6.1.2.1],
    gp_wsync.c [1.2.6.1.2.1], gs16spl.c [1.2.6.1.2.1], gsdll.c [1.6.2.1.2.1],
    gserver.c [1.2.6.1.2.1]: 2003/01/17 00:49:00 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (gspmdrv.c [1.2.6.1.2.1], scfdgen.c [1.2.6.1.2.1],
    zdosio.c [1.2.6.1.2.1]: 2003/01/17 00:49:03 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (ziodevs.c [1.5.2.1.2.1], ziodevsc.c [1.3.2.1.2.1]: 2003/01/17
    00:49:06 giles)

    Correct an incorrectly applied patch to the macos implementation of
    gp_pathstring_not_bare(). (gp_macio.c [1.2.4.5.2.2]: 2003/04/01 12:21:50
    giles)

## Drivers

    Fixes problems:
    	- Correct the display device color mapping functions that were
    wrong. Change 4-bit mapping functions to standard VGA. Correct 16-bit native
    RGB and 32-bit xRGB mapping functions. Add RGB to color mapping functions
    for CMYK formats, needed by anti-aliasing. (gdevdsp.c [1.5.2.5]: 2002/06/22
    03:10:10 ghostgum)
    	- When compiled for A4 default page size, the initial page size is
    now 595x842pts. The initial printer page size in tenths of an inch now uses
    floating point. This may cause problems with old compilers that do not allow
    floating point calculations in initializers for integers. Add some casts to
    suppress warnings with the MS compiler. Fixes SourceForge bug #535997,
    "ps2pdf produces incorrect A4 page size". (gdevbmpc.c [1.2.6.2]: 2002/07/18
    11:11:40 ghostgum)

    To improve clarity, use hexadecimal for -dDisplayFormat=16#XXXXXX in the
    display device example code. (gdevdsp.c [1.5.2.4]: 2002/06/19 11:36:36
    ghostgum)

    Add a 32 bit/pixel CMYK driver named pam using the Portable Arbitrary Map
    file format, one of the netpbm family. This driver has problems with
    anti-aliasing that will be fixed in a later patch. (gdevpbm.c [1.3.6.2]:
    2002/06/22 03:44:00 ghostgum)

    Remove some interpreter references from the graphics library. Partial fix
    for SourceForge bug #542848, "library #includes interpreter headers".
    (gdevmswn.c [1.4.2.2]: 2002/09/14 12:25:55 ghostgum)

    Backport MacOS build updates for Metrowerks CW8 from HEAD.
    (gdevmac.h [1.1.4.3]: 2002/12/01 23:29:37 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (gdev3852.c [1.3.2.1.2.1], gdev3b1.c [1.2.6.1.2.1],
    gdev4081.c [1.3.2.1.2.1], gdev8510.c [1.3.2.1.2.1],
    gdev8bcm.c [1.2.6.1.2.1], gdev8bcm.h [1.2.6.1.2.1],
    gdevadmp.c [1.3.2.1.2.1], gdevatx.c [1.6.8.1], gdevbit.c [1.2.6.1.2.1],
    gdevbj10.c [1.4.2.1.2.1], gdevbjc.h [1.2.6.1.2.1], gdevbjcl.c [1.2.6.1.2.1],
    gdevbjcl.h [1.2.6.1.2.1], gdevbmp.c [1.4.2.1.2.1], gdevbmp.h [1.2.6.1.2.1],
    gdevbmpa.c [1.3.6.1.2.1], gdevbmpc.c [1.2.6.2.2.1], gdevccr.c [1.2.6.1.2.1],
    gdevcdj.c [1.5.2.1.2.1], gdevcfax.c [1.3.6.1.2.1], gdevcgm.c [1.2.6.2.2.1],
    gdevcgml.c [1.2.6.1.2.1], gdevcgml.h [1.2.6.1.2.1],
    gdevcgmx.h [1.2.6.1.2.1], gdevcif.c [1.3.2.1.2.1], gdevclj.c [1.2.6.1.2.1],
    gdevcljc.c [1.4.2.1.2.1], gdevcp50.c [1.3.2.1.2.1],
    gdevcslw.c [1.2.6.1.2.1], gdevdcrd.c [1.2.6.1.2.1],
    gdevdcrd.h [1.2.6.1.2.1], gdevdfax.c [1.4.2.1.2.1], gdevdjet.c [1.6.8.1],
    gdevdjtc.c [1.3.2.1.2.1], gdevdljm.c [1.4.8.1], gdevdljm.h [1.4.8.1],
    gdevdm24.c [1.3.2.1.2.1], gdevdsp.c [1.5.2.5.2.1],
    gdevegaa.asm [1.2.6.1.2.1], gdevepsc.c [1.3.2.1.2.1],
    gdevepsn.c [1.3.2.1.2.1], gdevescp.c [1.3.2.1.2.1],
    gdevevga.c [1.2.6.1.2.1], gdevfax.c [1.2.6.1.2.1], gdevfax.h [1.2.6.1.2.1],
    gdevherc.c [1.2.6.1.2.1], gdevhl7x.c [1.5.2.1.2.1], gdevijs.c [1.1.2.3.2.1],
    gdevimgn.c [1.4.2.1.2.1], gdevjpeg.c [1.3.2.1.2.1],
    gdevl256.c [1.3.6.1.2.1], gdevl31s.c [1.2.6.1.2.1],
    gdevlbp8.c [1.3.2.1.2.1], gdevlj56.c [1.3.2.1.2.1],
    gdevlp8k.c [1.2.6.1.2.1], gdevlxm.c [1.2.6.1.2.1], gdevmac.c [1.1.4.3.2.1],
    gdevmac.h [1.1.4.3.2.1], gdevmacpictop.h [1.1.4.2.2.1],
    gdevmacttf.h [1.1.4.2.2.1], gdevmacxf.c [1.1.4.2.2.1],
    gdevmeds.c [1.2.6.1.2.1], gdevmeds.h [1.2.6.1.2.1], gdevmgr.c [1.2.6.1.2.1],
    gdevmgr.h [1.2.6.1.2.1], gdevmiff.c [1.3.2.1.2.1], gdevmswn.c [1.4.2.2.2.1],
    gdevmswn.h [1.2.6.1.2.1], gdevmsxf.c [1.2.6.1.2.1],
    gdevn533.c [1.3.2.1.2.1], gdevo182.c [1.3.2.1.2.1],
    gdevokii.c [1.3.2.1.2.1], gdevos2p.c [1.4.2.1.2.1], gdevp14.h [1.1.2.1.2.1],
    gdevp2up.c [1.2.6.1.2.1], gdevpbm.c [1.3.6.2.2.1], gdevpccm.c [1.2.6.1.2.1],
    gdevpccm.h [1.3.6.1.2.1], gdevpcfb.c [1.2.6.1.2.1],
    gdevpcfb.h [1.2.6.1.2.1], gdevpcl.c [1.5.2.1.2.1], gdevpcl.h [1.5.2.1.2.1],
    gdevpcx.c [1.2.6.1.2.1], gdevpe.c [1.2.6.1.2.1], gdevphex.c [1.2.6.2.2.1],
    gdevpjet.c [1.3.2.1.2.1], gdevpm.c [1.4.2.1.2.1], gdevpm.h [1.2.6.1.2.1],
    gdevpng.c [1.4.2.1.2.1], gdevpnga.c [1.4.2.1.2.1], gdevps.c [1.19.2.2.2.1],
    gdevpsdf.h [1.9.4.1.2.1], gdevpsdi.c [1.15.2.1.2.1],
    gdevpsdp.c [1.8.6.1.2.1], gdevpsds.c [1.4.6.1.2.1],
    gdevpsds.h [1.4.6.1.2.1], gdevpsdu.c [1.10.2.1.2.1],
    gdevpsim.c [1.6.2.1.2.1], gdevpsu.c [1.7.2.2.2.1], gdevpsu.h [1.4.2.1.2.1],
    gdevpx.c [1.6.2.1.2.1], gdevpxat.h [1.3.6.1.2.1], gdevpxen.h [1.3.6.1.2.1],
    gdevpxop.h [1.2.6.1.2.1], gdevpxut.c [1.2.6.1.2.1],
    gdevpxut.h [1.2.6.1.2.1], gdevs3ga.c [1.2.6.1.2.1], gdevsco.c [1.3.6.1.2.1],
    gdevsj48.c [1.2.6.1.2.1], gdevsnfb.c [1.3.2.1.2.1],
    gdevsppr.c [1.5.2.1.2.1], gdevstc.c [1.2.6.1.2.1], gdevstc.h [1.2.6.1.2.1],
    gdevstc1.c [1.2.6.1.2.1], gdevstc2.c [1.2.6.1.2.1],
    gdevstc3.c [1.2.6.1.2.1], gdevstc4.c [1.2.6.1.2.1], gdevsun.c [1.2.6.1.2.1],
    gdevsunr.c [1.4.2.1.2.1], gdevsvga.c [1.2.6.1.2.1],
    gdevsvga.h [1.2.6.1.2.1], gdevtfax.c [1.4.6.1.2.1],
    gdevtfax.h [1.4.6.1.2.1], gdevtfnx.c [1.5.2.1.2.1],
    gdevtifs.c [1.4.2.1.2.1], gdevtifs.h [1.3.6.1.2.1],
    gdevtknk.c [1.3.2.1.2.1], gdevupd.c [1.5.2.1.2.1], gdevvglb.c [1.3.6.1.2.1],
    gdevwddb.c [1.3.2.1.2.1], gdevwdib.c [1.3.2.1.2.1],
    gdevwpr2.c [1.9.2.1.2.1], gdevwprn.c [1.3.2.1.2.1], gdevx.c [1.8.2.3.2.1],
    gdevx.h [1.4.6.1.2.1], gdevxalt.c [1.2.6.2.2.1], gdevxcmp.c [1.2.6.2.2.1],
    gdevxcmp.h [1.2.6.1.2.1], gdevxini.c [1.10.4.1.2.1],
    gdevxres.c [1.3.6.1.2.1], gdevxxf.c [1.5.6.1.2.1]: 2003/01/17 00:49:00
    giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (gdevpdf.c [1.38.2.3.2.1], gdevpdfb.c [1.6.2.1.2.1],
    gdevpdfc.c [1.17.2.1.2.1], gdevpdfd.c [1.16.2.1.2.1],
    gdevpdfg.c [1.14.2.1.2.1], gdevpdfg.h [1.9.6.1.2.1],
    gdevpdfi.c [1.24.2.1.2.1], gdevpdfj.c [1.7.2.1.2.1],
    gdevpdfm.c [1.14.2.1.2.1], gdevpdfo.c [1.9.2.1.2.1],
    gdevpdfo.h [1.6.4.1.2.1], gdevpdfp.c [1.19.2.1.2.1],
    gdevpdfr.c [1.4.6.1.2.1], gdevpdfu.c [1.16.2.1.2.1],
    gdevpdfv.c [1.10.2.1.2.1], gdevpdfx.h [1.34.2.1.2.1]: 2003/01/17 00:49:01
    giles)

## PDF writer

    Fixes problems:
    	- (pdfwrite) Completely replacing the Rotation computation logics.
    Source Forge bug "[ 475147 ] GS 7.03 produces everthing upsidedown"
    (gdevpdf.c [1.38.2.2]: 2002/06/28 10:44:18 igor)

## PDF Interpreter

    Fixes problems:
    	- Add the option -dUseCropBox to set the page size from the CropBox
    rather than the MediaBox. This is appropriate when using ghostscript to view
    PDF files or convert to bitmaps. It probably isn't appropriate for printing.
    Fixes SourceForge bugs #522486, "Wromg size EPS generated from PDF" and
    #538267 "Problems with Media Box in PDF and PS interpreter".
    (lib/pdf_main.ps [1.35.2.3]: 2002/06/28 10:59:02 ghostgum)
    	- When drawing PDF annotation links which are missing a /Border,
    assume the default /Border [0 0 1]. Previously ghostscript assumed that
    links without a /Border should not be drawn, which is contrary to the PDF
    specification. (lib/pdf_draw.ps [1.36.2.2]: 2002/06/28 23:12:21 ghostgum)
    	- If a PDF annotation specified other than the default color with
    /C, pass this into the pdfmark logic as /Color. (lib/pdf_main.ps [1.35.2.4]:
    2002/06/28 23:13:06 ghostgum)
    	- When using -dUseCropBox, use an inherited CropBox. The previous
    fix would only use a CropBox on the page being displayed.
    (lib/pdf_main.ps [1.35.2.5]: 2002/07/18 10:45:42 ghostgum)
    	- When ghostscript is given a PDF file on standard input, copy it to
    a temporary file before processing. Prior to version 7, ghostscript could
    read PDF from standard input redirected from a file, but not from a pipe.
    Standard input was changed in version 7 to use callouts, which prevented PDF
    reading from standard input. Fixes SourceForge bug #583413, /ioerror with gs
    - < file.pdf vers 7.xx (lib/pdf_main.ps [1.35.2.6]: 2002/09/14 12:05:58
    ghostgum)

    Move code from pdfshowpage to pdfshowpage_finish for the benefit of GSview
    which calls pdfshowpage_init and pdfshowpage_finish, but not
    pdfshowpage_setpage. (lib/pdf_main.ps [1.35.2.7]: 2002/11/05 20:58:19
    ghostgum)

    Makes the PDF interpreter run files under a level of 'save'. This improves
    memory utilization significantly, although we don't understand why. Patch
    originally applied as revision 1.45 by lpd. (lib/pdf_main.ps [1.35.2.7.2.1]:
    2003/01/28 11:08:36 ghostgum)

    Treat files starting with %Pxxx as PostScript, not PDF. Process empty files
    without error. Fixes SourceForge bug #663150, Some PS files half-recognized
    as PDF files DETAILS: Changes for the 8.00 release to allow reading of PDF
    files from stdin caused files starting with %Pxxx to be half recognised as
    PDF files. This patch simplifies the PDF recognition code and makes it treat
    only files starting with "%PDF-" as PDF. Testing of this code found that
    zero length input files caused a PostScript error. This was an existing
    error which is fixed by the gs_epsf.ps patch and last line of the
    pdf_main.ps patch. (lib/pdf_main.ps [1.35.2.7.2.2]: 2003/01/28 11:54:11
    ghostgum)

## Interpreter

    Fixes problems:
    	- .pushpdf14devicefilter was defined in zdfilter.c, but depended on
    the optional pdf module's transparency features. Moves the definition of
    this routine to the conditionally included ztrans.c. Fix by L. Peter
    Deutsch, resolves SourceForge Bug 565019. (zdfilter.c [1.2.2.2],
    ztrans.c [1.13.2.2]: 2002/06/14 09:53:12 giles)
    	- As a result of a recent fix, an opdef table had more than 16
    entries, causing initialization to abort. backporting a fix by L. Peter
    Deutsch from HEAD. (ztrans.c [1.13.2.3]: 2002/06/14 15:26:00 giles)
    	- Correct the display device color mapping functions that were
    wrong. Change 4-bit mapping functions to standard VGA. Correct 16-bit native
    RGB and 32-bit xRGB mapping functions. Add RGB to color mapping functions
    for CMYK formats, needed by anti-aliasing. (dpmain.c [1.5.2.2],
    dwimg.c [1.3.2.2]: 2002/06/22 03:10:10 ghostgum)
    	- correct the ISO paper sizes in gs_statd.ps to match those in the
    Adobe PPD specification, technical note 5003. Fixes SourceForge bug #536877,
    "Paper sizes wrong in gs_statd.ps". (lib/gs_statd.ps [1.5.2.2]: 2002/07/18
    10:43:42 ghostgum)
    	- process comment lines when they straddle a buffer boundary, so
    that all DSC comments can be processed by the PDF writer. Fixes SourceForge
    bug #432040, DSC ignored when reading stdin. (iscan.c [1.5.6.2]: 2002/09/05
    08:30:38 ghostgum)
    	- copy comment lines inside a procedure which require a scanner
    refill to the operand stack, not the execution stack. Fixes SourceForge bug
    #605240, 070-01.ps fails in .parse_dsc_comments. (iscan.c [1.5.6.3]:
    2002/09/06 20:54:10 ghostgum)
    	- provide a meaningful error message when an immediately evaluated
    name can not be found. Fixes SourceForge bug #543185, Confusing diagnostics
    for //undefined. (interp.c [1.8.2.2], ziodev.c [1.6.2.2]: 2002/09/14
    11:59:15 ghostgum)
    	- Keep pagedevice and device views of .LockSafetyParams correct even
    after a 'restore' is used to unlock. The dictionary fed to the setpagedevice
    operator is allocated in the same VM space as currentpagedevice to avoid
    invalidaccess problems. Fixed SF #580029 and does not revert to the
    incorrect behaviour of bug #516379. (lib/gs_init.ps [1.40.2.11]: 2002/09/19
    17:05:05 ray)
    	- Fix : Overlapping format 4 CMap ranges, while arguably buggy, are
    commonly found in quite a few popular CJK TrueType fonts. Patch from Anthony
    Fok Tung-Ling. (lib/gs_ttf.ps [1.9.2.3]: 2002/09/20 15:35:22 igor)
    	- The constraint for FontBBox to be non-zero was not conforming and
    now is removed. (bfont.h [1.3.6.2], zbfont.c [1.7.4.2], zfcid0.c [1.7.2.3],
    zfcid1.c [1.4.4.2]: 2002/09/21 08:36:49 igor)
    	- Fix : Unwinding the patch from Anthony Fok Tung-Ling, because it
    caused regression with comparefiles/fonts.pdf . (lib/gs_ttf.ps [1.9.2.4]:
    2002/09/22 12:43:55 igor)
    	- Provide a meaningful error message when an immediately evaluated
    name in a procedure can not be found. Additional fix for SourceForge bug
    #543185, Confusing diagnostics for //undefined. (iscan.c [1.5.6.4],
    ziodev.c [1.6.2.3]: 2002/11/01 23:50:42 ghostgum)
    	- Redefine .runstdin with one bound to EPSF 'run' operator so that
    EPS files are handled correctly from %stdin. Code for skipping DOS EPS
    header now uses the EPS encapsulating run, instead of directly calling
    .runexec. (lib/gs_epsf.ps [1.2.6.5]: 2002/11/01 23:53:32 ghostgum)
    	- When processing an EPS file, remove any left over items on the
    operand and dictionary stacks. (lib/gs_epsf.ps [1.2.6.7]: 2002/11/12
    20:32:59 ghostgum)
    	- Fix the remaining security patch problems so that local/global
    state is correctly handled, both for the pagedevice as well as the
    PermitFile... userparam dictionary entries. Fixes bug #647685. Patch from
    Ray Johnston. (lib/gs_epsf.ps [1.2.6.11.2.2],
    lib/gs_init.ps [1.40.2.12.2.1], lib/gs_lev2.ps [1.7.2.4.2.2],
    lib/gs_setpd.ps [1.8.2.2.2.1]: 2003/03/31 13:02:22 giles)

    Delete all temporary files when the interpreter closes. (imain.c [1.19.2.2]:
    2002/09/05 10:26:09 ghostgum)

    Add command line options -dEPS, -dEPSCrop and -dEPSFitPage for handling
    Encapsulated PostScript files. (lib/gs_epsf.ps [1.2.6.2],
    lib/gs_init.ps [1.40.2.10]: 2002/09/14 12:17:26 ghostgum)

    Remove a debug message from previous EPS commit. (lib/gs_epsf.ps [1.2.6.3]:
    2002/09/14 12:45:02 ghostgum)

    Update version number and date for release. (lib/gs_init.ps [1.40.2.12]:
    2002/10/10 13:36:56 giles)

    Improvements to processing of EPS files. (lib/gs_epsf.ps [1.2.6.4]:
    2002/10/31 11:12:13 ghostgum)

    Correct -dEPSFitPage when the device has non-zero margins.
    (lib/gs_epsf.ps [1.2.6.6]: 2002/11/07 07:16:34 ghostgum)

    Correct the display device color mapping intended for the Macintosh.
    (gdevdsp.h [1.1.2.3]: 2002/11/13 07:19:56 ghostgum)

    Make sure resource use of .forcedef works with -dDELAYBIND. Patch by Alex
    Cherepanov. (lib/gs_res.ps [1.16.2.2]: 2002/11/18 20:31:52 ghostgum)

    Prevent access to .forceput. (lib/gs_epsf.ps [1.2.6.8]: 2002/11/20 06:44:59
    ghostgum)

    When processing multiple EPS files, call showpage if necessary for
    subsequent files. (lib/gs_epsf.ps [1.2.6.9]: 2002/11/20 06:46:35 ghostgum)

    When processing EPS files, empty the path after checking the page size.
    (lib/gs_epsf.ps [1.2.6.10]: 2002/11/21 09:59:46 ghostgum)

    Backport debug and unitialized variable fixes from HEAD. After a patch from
    Alexei A. Podtelezhnikov. (icontext.c [1.6.6.3], interp.c [1.8.2.3],
    iscan.c [1.5.6.5], ziodev.c [1.6.2.4]: 2002/12/01 15:10:20 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (bfont.h [1.3.6.2.2.1], btoken.h [1.4.6.1.2.1],
    ccfont.h [1.2.6.1.2.1], dpmain.c [1.5.2.2.2.1], dscparse.c [1.7.2.1.2.1],
    dscparse.h [1.6.2.2.2.1], dstack.h [1.3.4.1.2.1], dwdll.c [1.2.2.1.2.1],
    dwdll.h [1.3.2.1.2.1], dwimg.c [1.3.2.2.2.1], dwimg.h [1.4.2.2.2.1],
    dwinst.cpp [1.2.6.2.2.1], dwinst.h [1.2.6.3.2.1], dwmain.c [1.6.2.2.2.1],
    dwmain.h [1.3.2.2.2.1], dwmainc.c [1.8.2.2.2.1], dwnodll.c [1.1.2.2.2.1],
    dwreg.c [1.1.2.2.2.1], dwreg.h [1.1.2.2.2.1], dwsetup.cpp [1.5.6.2.2.1],
    dwsetup.h [1.2.6.2.2.1], dwtext.c [1.5.2.1.2.1], dwtext.h [1.4.2.2.2.1],
    dwuninst.cpp [1.2.6.2.2.1], dwuninst.h [1.2.6.2.2.1],
    errors.h [1.4.2.1.2.1], estack.h [1.2.6.1.2.1], files.h [1.4.2.1.2.1],
    gdevdsp.h [1.1.2.3.2.1], gdevdsp2.h [1.2.2.2.2.1], ghost.h [1.2.6.1.2.1],
    gs.c [1.6.2.1.2.1]: 2003/01/17 00:49:00 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (ialloc.c [1.2.6.1.2.1], ialloc.h [1.2.6.1.2.1],
    iapi.c [1.1.2.2.2.1], iapi.h [1.2.2.1.2.1], iastate.h [1.2.6.1.2.1],
    iastruct.h [1.2.6.1.2.1], ibnum.c [1.2.6.1.2.1], ibnum.h [1.2.6.1.2.1],
    iccfont.c [1.2.6.2.2.1], iccinit0.c [1.2.6.1.2.1], icfontab.c [1.2.6.1.2.1],
    ichar.h [1.3.6.1.2.1], ichar1.h [1.3.6.1.2.1], icharout.h [1.3.4.1.2.1],
    icid.h [1.2.6.1.2.1], icie.h [1.3.2.1.2.1], icolor.h [1.2.6.1.2.1],
    iconf.c [1.3.2.1.2.1], iconf.h [1.1.6.1.2.1], icontext.c [1.6.6.3.2.1],
    icontext.h [1.2.6.1.2.1], icremap.h [1.2.6.1.2.1], icsmap.h [1.2.6.1.2.1],
    icstate.h [1.4.6.2.2.1], iddict.h [1.2.6.1.2.1], iddstack.h [1.2.6.1.2.1],
    idebug.c [1.4.2.1.2.1], idebug.h [1.2.6.1.2.1], idict.c [1.4.4.1.2.1],
    idict.h [1.2.6.1.2.1], idictdef.h [1.2.6.1.2.1], idisp.c [1.2.2.2.2.1],
    idisp.h [1.1.2.1.2.1], idosave.h [1.2.6.1.2.1], idparam.c [1.3.6.1.2.1],
    idparam.h [1.3.6.1.2.1], idsdata.h [1.2.6.1.2.1], idstack.c [1.2.6.1.2.1],
    idstack.h [1.2.6.1.2.1], iesdata.h [1.2.6.1.2.1], iestack.h [1.2.6.1.2.1],
    ifcid.h [1.2.6.1.2.1], ifilter.h [1.3.6.1.2.1], ifilter2.h [1.2.6.1.2.1],
    ifont.h [1.6.4.1.2.1], ifont1.h [1.3.6.1.2.1], ifont2.h [1.2.6.1.2.1],
    ifont42.h [1.3.6.1.2.1], ifrpred.h [1.2.6.1.2.1], ifunc.h [1.3.6.3.2.1],
    ifwpred.h [1.2.6.1.2.1], igc.c [1.5.2.1.2.1], igc.h [1.2.6.1.2.1],
    igcref.c [1.3.2.1.2.1], igcstr.c [1.3.6.1.2.1], igcstr.h [1.2.6.1.2.1],
    igstate.h [1.3.6.1.2.1], iht.h [1.2.6.1.2.1], iimage.h [1.2.6.1.2.1],
    iimage2.h [1.2.6.1.2.1], iinit.c [1.3.4.1.2.1], iinit.h [1.2.6.1.2.1],
    ilevel.h [1.2.6.1.2.1], ilocate.c [1.4.2.1.2.1], imain.c [1.19.2.2.2.1],
    imain.h [1.3.2.1.2.1], imainarg.c [1.13.2.3.2.1], imainarg.h [1.3.2.1.2.1],
    imemory.h [1.2.6.1.2.1], iminst.h [1.5.2.1.2.1], iname.c [1.3.6.1.2.1],
    iname.h [1.2.6.1.2.1], inamedef.h [1.2.6.1.2.1], inameidx.h [1.2.6.1.2.1],
    inames.h [1.2.6.1.2.1], inamestr.h [1.2.6.1.2.1], inobtokn.c [1.2.6.1.2.1],
    inouparm.c [1.2.6.1.2.1], interp.c [1.8.2.3.2.1], interp.h [1.2.6.1.2.1],
    iosdata.h [1.2.6.1.2.1], iostack.h [1.2.6.1.2.1], ipacked.h [1.2.6.1.2.1],
    iparam.c [1.5.6.1.2.1], iparam.h [1.2.6.1.2.1], iparray.h [1.2.6.1.2.1],
    ipcolor.h [1.2.6.1.2.1], ireclaim.c [1.3.2.1.2.1], iref.h [1.5.4.1.2.1],
    isave.c [1.3.6.1.2.1], isave.h [1.2.6.1.2.1], iscan.c [1.5.6.5.2.1],
    iscan.h [1.4.6.1.2.1], iscanbin.c [1.5.6.1.2.1], iscanbin.h [1.2.6.1.2.1],
    iscannum.c [1.3.2.1.2.1], iscannum.h [1.2.6.1.2.1], isdata.h [1.2.6.1.2.1],
    isstate.h [1.2.6.1.2.1], istack.c [1.2.6.1.2.1], istack.h [1.2.6.1.2.1],
    isstate.h [1.2.6.1.2.1], istack.c [1.2.6.1.2.1], istack.h [1.2.6.1.2.1],
    istkparm.h [1.2.6.1.2.1], istream.h [1.2.6.1.2.1], istruct.h [1.2.6.1.2.1],
    itoken.h [1.2.6.1.2.1], iutil.c [1.3.2.1.2.1], iutil.h [1.2.6.1.2.1],
    iutil2.c [1.2.6.2.2.1], iutil2.h [1.2.6.2.2.1], ivmem2.h [1.2.6.1.2.1],
    ivmspace.h [1.2.6.1.2.1], main.h [1.3.2.1.2.1], oparc.h [1.2.6.1.2.1],
    opcheck.h [1.2.6.1.2.1], opdef.h [1.3.2.1.2.1], oper.h [1.2.6.1.2.1],
    opextern.h [1.2.6.1.2.1], ostack.h [1.2.6.1.2.1], sbhc.c [1.3.4.1.2.1],
    sbhc.h [1.2.6.1.2.1], sbwbs.c [1.2.6.1.2.1], sbwbs.h [1.2.6.1.2.1],
    sfilter1.c [1.6.4.1.2.1], shcgen.c [1.2.6.1.2.1], shcgen.h [1.2.6.1.2.1],
    smtf.c [1.2.6.1.2.1], smtf.h [1.2.6.1.2.1], store.h [1.2.6.1.2.1],
    zarith.c [1.4.6.1.2.1], zarray.c [1.2.6.1.2.1], zbfont.c [1.7.4.2.2.1],
    zbseq.c [1.4.6.1.2.1], zcfont.c [1.2.6.2.2.1], zchar.c [1.4.2.2.2.1],
    zchar1.c [1.7.2.2.2.1], zchar2.c [1.2.6.1.2.1], zchar32.c [1.2.6.1.2.1],
    zchar42.c [1.3.4.2.2.1], zcharout.c [1.4.4.2.2.1], zcharx.c [1.3.6.1.2.1],
    zcid.c [1.3.6.1.2.1], zcie.c [1.5.2.1.2.1], zcolor.c [1.4.6.1.2.1],
    zcolor1.c [1.3.6.1.2.1], zcolor2.c [1.4.2.1.2.1], zcontext.c [1.7.2.1.2.1],
    zcontrol.c [1.3.6.2.2.1], zcrd.c [1.2.6.1.2.1], zcsdevn.c [1.5.2.2.2.1],
    zcsindex.c [1.3.6.1.2.1], zcspixel.c [1.2.6.1.2.1], zcssepr.c [1.8.2.1.2.1],
    zdevcal.c [1.3.6.1.2.1], zdevice.c [1.3.6.2.2.1], zdevice2.c [1.4.2.2.2.1],
    zdfilter.c [1.2.2.2.2.1], zdict.c [1.3.6.1.2.1], zdouble.c [1.2.6.1.2.1],
    zdpnext.c [1.3.6.1.2.1], zdps.c [1.4.6.1.2.1], zdps1.c [1.3.4.1.2.1],
    zdscpars.c [1.12.2.1.2.1], zfarc4.c [1.2.2.1.2.1], zfbcp.c [1.3.6.1.2.1],
    zfcid.c [1.11.4.1.2.1], zfcid0.c [1.7.2.3.2.1], zfcid1.c [1.4.4.2.2.1],
    zfcmap.c [1.9.2.1.2.1], zfdctd.c [1.6.2.1.2.1], zfdcte.c [1.5.2.1.2.1],
    zfdecode.c [1.3.6.1.2.1], zfile.c [1.11.2.4.2.1], zfileio.c [1.12.2.1.2.1],
    zfilter.c [1.5.2.1.2.1], zfilter2.c [1.3.6.1.2.1], zfilterx.c [1.2.6.1.2.1],
    zfmd5.c [1.2.6.1.2.1], zfont.c [1.3.4.1.2.1], zfont0.c [1.3.6.1.2.1],
    zfont1.c [1.9.4.1.2.1], zfont2.c [1.4.2.1.2.1], zfont32.c [1.2.6.1.2.1],
    zfont42.c [1.5.6.1.2.1], zfproc.c [1.9.2.1.2.1], zfrsd.c [1.4.6.1.2.1],
    zfunc.c [1.6.6.3.2.1], zfunc0.c [1.3.6.2.2.1], zfunc3.c [1.2.6.2.2.1],
    zfunc4.c [1.7.4.2.2.1], zfzlib.c [1.3.6.1.2.1], zgeneric.c [1.3.6.1.2.1],
    zgstate.c [1.2.6.1.2.1], zhsb.c [1.2.6.1.2.1], zht.c [1.2.6.1.2.1],
    zht1.c [1.2.6.1.2.1], zht2.c [1.2.6.1.2.1], zicc.c [1.2.2.2.2.1],
    zimage.c [1.5.6.1.2.1], zimage2.c [1.4.2.1.2.1], zimage3.c [1.3.6.1.2.1],
    ziodev.c [1.6.2.4.2.1], ziodev2.c [1.3.6.1.2.1], zmath.c [1.3.6.1.2.1],
    zmatrix.c [1.4.6.1.2.1], zmedia2.c [1.3.2.1.2.1], zmisc.c [1.2.6.1.2.1],
    zmisc1.c [1.3.6.1.2.1], zmisc2.c [1.3.6.1.2.1], zmisc3.c [1.2.6.1.2.1],
    zpacked.c [1.2.6.1.2.1], zpaint.c [1.2.6.1.2.1], zpath.c [1.2.6.1.2.1],
    zpath1.c [1.2.6.1.2.1], zpcolor.c [1.3.6.1.2.1], zrelbit.c [1.2.6.1.2.1],
    zrop.c [1.2.6.1.2.1], zshade.c [1.4.6.2.2.1], zstack.c [1.2.6.1.2.1],
    zstring.c [1.2.6.1.2.1], zsysvm.c [1.2.6.1.2.1], ztoken.c [1.6.6.1.2.1],
    ztrans.c [1.13.2.3.2.1], ztrap.c [1.2.6.1.2.1], ztype.c [1.3.6.1.2.1],
    zupath.c [1.2.6.1.2.1], zusparam.c [1.3.6.2.2.1], zvmem.c [1.3.2.2.2.1],
    zvmem2.c [1.3.2.1.2.1]: 2003/01/17 00:49:04 giles)

    Update DSC parser to current Ghostgum Software version. Fixes SourceForge
    bug #657289, SEGV on Alpha in DSC parser. DETAILS: A %%Page line with
    mismatched parentheses around the page label was ignored, but parser state
    was updated to scanning pages, not setup section. This resulted in access to
    dsc->page[-1] which is invalid and caused a SEGV on Alpha. The updated
    code now checks that dsc->page_count is non-zero before accessing dsc-
    >page[dsc->page_count-1]. It also makes a second attempt at finding
    the page ordinal at the end of a line like: %%Page: (label with closing
    parentheses 1 Other parser updates include support for DCS2 files (which is
    not quite compliant with DSC), removing a few compiler warnings,
    %%HiResBoundingBox, %%CropBox, %%PageCropBox, and being more resilient to
    incorrect DSC. (dscparse.c [1.7.2.1.2.2], dscparse.h [1.6.2.2.2.2]:
    2003/01/28 11:44:44 ghostgum)

    Treat files starting with %Pxxx as PostScript, not PDF. Process empty files
    without error. Fixes SourceForge bug #663150, Some PS files half-recognized
    as PDF files DETAILS: Changes for the 8.00 release to allow reading of PDF
    files from stdin caused files starting with %Pxxx to be half recognised as
    PDF files. This patch simplifies the PDF recognition code and makes it treat
    only files starting with "%PDF-" as PDF. Testing of this code found that
    zero length input files caused a PostScript error. This was an existing
    error which is fixed by the gs_epsf.ps patch and last line of the
    pdf_main.ps patch. (lib/gs_epsf.ps [1.2.6.11.2.1]: 2003/01/28 11:54:11
    ghostgum)

## Streams

    Remove some interpreter references from the graphics library. Partial fix
    for SourceForge bug #542848, "library #includes interpreter headers".
    (sarc4.c [1.5.2.2]: 2002/09/14 12:25:55 ghostgum)

    Backport MacOS build updates for Metrowerks CW8 from HEAD.
    (stat_.h [1.6.2.2], stdpre.h [1.4.2.2]: 2002/12/01 23:29:37 giles)

## Library

    Fixes problems:
    	- When drawing with anti-aliasing on devices with less than
    8-bit/pixel, extract the correct existing pixel value.
    (gdevdbit.c [1.2.6.2]: 2002/06/22 03:09:05 ghostgum)
    	- (pdfwrite) Enforce writing FontBBox into CFF. Source Forge bug "[
    578899 ] Missing /FontBBox when converting to ps?" (gdevpsf.h [1.10.2.2],
    gdevpsf2.c [1.15.2.2]: 2002/07/16 13:33:49 igor)
    	- When compiled for A4 default page size, the initial page size is
    now 595x842pts. The initial printer page size in tenths of an inch now uses
    floating point. This may cause problems with old compilers that do not allow
    floating point calculations in initializers for integers. Add some casts to
    suppress warnings with the MS compiler. Fixes SourceForge bug #535997,
    "ps2pdf produces incorrect A4 page size". (gdevprn.h [1.6.6.2],
    gxdevice.h [1.4.6.3]: 2002/07/18 11:11:40 ghostgum)
    	- Provide an implementation of popen for Windows, to avoid the
    broken implementation in MSVC++ 5 and 6. This allows pswrite to output to a
    pipe on Windows. Fixes SourceForge bug #482038, pswrite does not write to
    pipe. (pipe_.h [1.2.6.2]: 2002/09/05 10:19:00 ghostgum)
    	- Propagate error codes from gs_distance_transform_inverse. Patch
    from Forrest Cahoon, improved. (gxstroke.c [1.2.6.2]: 2002/10/31 09:02:54
    igor)

    Remove some interpreter references from the graphics library. Partial fix
    for SourceForge bug #542848, "library #includes interpreter headers".
    (gsargs.c [1.4.2.2]: 2002/09/14 12:25:55 ghostgum)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (ctype_.h [1.2.6.1.2.1], dirent_.h [1.2.6.1.2.1],
    dos_.h [1.2.6.1.2.1], errno_.h [1.2.6.1.2.1], fcntl_.h [1.3.6.1.2.1],
    gconf.c [1.2.6.1.2.1], gconf.h [1.2.6.1.2.1], gdebug.h [1.3.2.1.2.1],
    gdevabuf.c [1.3.6.1.2.1], gdevbbox.c [1.4.2.1.2.1],
    gdevbbox.h [1.2.6.1.2.1], gdevcmap.c [1.2.6.1.2.1],
    gdevcmap.h [1.2.6.1.2.1], gdevdbit.c [1.2.6.2.2.1],
    gdevddrw.c [1.2.6.1.2.1], gdevdflt.c [1.3.6.1.2.1],
    gdevdgbr.c [1.2.6.1.2.1], gdevdrop.c [1.3.6.1.2.1],
    gdevemap.c [1.2.6.1.2.1], gdevhit.c [1.2.6.1.2.1], gdevm1.c [1.2.6.1.2.1],
    gdevm16.c [1.2.6.1.2.1], gdevm2.c [1.2.6.1.2.1], gdevm24.c [1.2.6.1.2.1],
    gdevm32.c [1.2.6.1.2.1], gdevm4.c [1.2.6.1.2.1], gdevm8.c [1.2.6.1.2.1],
    gdevmem.c [1.2.6.1.2.1], gdevmem.h [1.3.6.1.2.1], gdevmpla.c [1.2.6.1.2.1],
    gdevmpla.h [1.2.6.1.2.1], gdevmr1.c [1.2.6.1.2.1], gdevmr2n.c [1.2.6.1.2.1],
    gdevmr8n.c [1.2.6.1.2.1], gdevmrop.h [1.3.6.1.2.1],
    gdevmrun.c [1.2.6.1.2.1], gdevmrun.h [1.2.6.1.2.1],
    gdevnfwd.c [1.3.6.1.2.1], gdevp14.c [1.4.2.3.2.1], gdevpipe.c [1.4.4.1.2.1],
    gdevplnx.c [1.2.6.1.2.1], gdevplnx.h [1.2.6.1.2.1],
    gdevppla.c [1.2.6.1.2.1], gdevppla.h [1.2.6.1.2.1], gdevprn.c [1.5.6.2.2.1],
    gdevprn.h [1.6.6.2.2.1], gdevprna.c [1.2.6.1.2.1], gdevprna.h [1.2.6.1.2.1],
    gdevpsf.h [1.10.2.2.2.1], gdevpsf1.c [1.9.2.1.2.1],
    gdevpsf2.c [1.15.2.2.2.1], gdevpsfm.c [1.5.2.2.2.1],
    gdevpsft.c [1.8.2.1.2.1], gdevpsfu.c [1.7.2.1.2.1],
    gdevpsfx.c [1.9.2.1.2.1], gdevrops.c [1.3.6.1.2.1],
    gdevtrac.c [1.2.6.1.2.1], gdevvec.c [1.12.2.2.2.1], gdevvec.h [1.7.2.1.2.1],
    gp.h [1.8.2.3.2.1], gp_dosfe.c [1.2.6.2.2.1], gp_dosfs.c [1.2.6.3.2.1],
    gp_getnv.c [1.2.6.1.2.1], gp_msdos.c [1.2.6.1.2.1],
    gp_nsync.c [1.2.6.1.2.1], gp_psync.c [1.2.6.1.2.1],
    gp_strdl.c [1.2.6.1.2.1], gp_unifn.c [1.2.6.3.2.1],
    gp_unifs.c [1.6.2.2.2.1], gpcheck.h [1.2.6.1.2.1], gpgetenv.h [1.2.6.1.2.1],
    gpmisc.c [1.9.4.1.2.1], gpmisc.h [1.2.6.1.2.1], gpsync.h [1.2.6.1.2.1],
    gsalloc.c [1.11.2.2.2.1], gsalloc.h [1.2.6.1.2.1], gsalpha.c [1.2.6.1.2.1],
    gsalpha.h [1.2.6.1.2.1], gsalphac.c [1.2.6.1.2.1], gsalphac.h [1.2.6.1.2.1],
    gsargs.c [1.4.2.2.2.1], gsargs.h [1.4.2.1.2.1], gsbitcom.c [1.1.4.1.2.1],
    gsbitmap.h [1.2.6.1.2.1], gsbitops.c [1.3.4.1.2.1],
    gsbitops.h [1.2.6.1.2.1], gsbittab.c [1.2.6.1.2.1],
    gsbittab.h [1.2.6.1.2.1], gsccode.h [1.4.6.1.2.1], gsccolor.h [1.2.6.1.2.1],
    gscdef.c [1.15.2.4.2.1], gscdefs.h [1.2.6.1.2.1], gscdevn.c [1.6.2.1.2.1],
    gscdevn.h [1.3.6.1.2.1], gschar.c [1.3.6.1.2.1], gschar.h [1.3.6.1.2.1],
    gschar0.c [1.3.4.3.2.1], gscie.c [1.4.2.1.2.1], gscie.h [1.3.2.1.2.1],
    gsciemap.c [1.6.2.1.2.1], gscindex.h [1.2.6.1.2.1],
    gsclipsr.c [1.2.6.1.2.1], gsclipsr.h [1.2.6.1.2.1], gscolor.c [1.5.2.1.2.1],
    gscolor.h [1.3.6.1.2.1], gscolor1.c [1.4.2.1.2.1], gscolor1.h [1.2.6.1.2.1],
    gscolor2.c [1.6.6.1.2.1], gscolor2.h [1.3.6.1.2.1],
    gscolor3.c [1.4.6.1.2.1], gscolor3.h [1.2.6.1.2.1], gscompt.h [1.2.6.1.2.1],
    gscoord.c [1.5.6.1.2.1], gscoord.h [1.2.6.1.2.1], gscparam.c [1.7.2.1.2.1],
    gscpixel.c [1.3.6.1.2.1], gscpixel.h [1.2.6.1.2.1], gscpm.h [1.2.6.1.2.1],
    gscrd.c [1.2.6.1.2.1], gscrd.h [1.2.6.1.2.1], gscrdp.c [1.2.6.1.2.1],
    gscrdp.h [1.2.6.1.2.1], gscrypt1.c [1.2.6.1.2.1], gscrypt1.h [1.2.6.1.2.1],
    gscscie.c [1.4.2.1.2.1], gscsel.h [1.2.6.1.2.1], gscsepr.c [1.12.2.2.2.1],
    gscsepr.h [1.4.6.1.2.1], gscspace.c [1.4.6.1.2.1], gscspace.h [1.8.2.1.2.1],
    gscssub.c [1.3.2.1.2.1], gscssub.h [1.2.6.1.2.1], gsdcolor.h [1.3.6.1.2.1],
    gsdevice.c [1.11.2.1.2.1], gsdevice.h [1.3.6.1.2.1],
    gsdevmem.c [1.2.6.1.2.1], gsdfilt.c [1.3.2.1.2.1], gsdfilt.h [1.2.2.2.2.1],
    gsdparam.c [1.4.6.2.2.1], gsdpnext.h [1.2.6.1.2.1], gsdps.c [1.2.6.1.2.1],
    gsdps.h [1.2.6.1.2.1], gsdps1.c [1.2.6.1.2.1], gsdsrc.c [1.2.6.1.2.1],
    gsdsrc.h [1.3.6.1.2.1], gserror.h [1.2.6.1.2.1], gserrors.h [1.2.6.2.2.1],
    gsexit.h [1.4.2.1.2.1], gsfcid.c [1.5.4.1.2.1], gsfcmap.c [1.14.2.2.2.1],
    gsfcmap.h [1.4.6.1.2.1], gsfemu.c [1.2.6.1.2.1], gsflip.c [1.2.6.1.2.1],
    gsflip.h [1.2.6.1.2.1], gsfname.c [1.2.6.1.2.1], gsfname.h [1.2.6.1.2.1],
    gsfont.c [1.4.4.1.2.1], gsfont.h [1.2.6.1.2.1], gsfont0.c [1.2.6.1.2.1],
    gsfunc.c [1.4.6.1.2.1], gsfunc.h [1.4.6.1.2.1], gsfunc0.c [1.5.4.1.2.1],
    gsfunc0.h [1.2.6.1.2.1], gsfunc3.c [1.4.6.1.2.1], gsfunc3.h [1.2.6.1.2.1],
    gsfunc4.c [1.7.2.1.2.1], gsfunc4.h [1.2.6.1.2.1], gsgc.h [1.3.2.1.2.1],
    gshsb.c [1.2.6.1.2.1], gshsb.h [1.2.6.1.2.1], gsht.c [1.2.6.1.2.1],
    gsht.h [1.2.6.1.2.1], gsht1.c [1.3.2.1.2.1], gsht1.h [1.2.6.1.2.1],
    gshtscr.c [1.6.2.1.2.1], gshtx.c [1.2.6.1.2.1], gshtx.h [1.2.6.1.2.1],
    gsicc.c [1.5.2.1.2.1], gsicc.h [1.3.2.1.2.1], gsimage.c [1.4.2.1.2.1],
    gsimage.h [1.2.6.1.2.1], gsimpath.c [1.2.6.1.2.1], gsinit.c [1.3.2.1.2.1],
    gsio.h [1.5.2.1.2.1], gsiodev.c [1.5.2.1.2.1], gsiodevs.c [1.2.6.1.2.1],
    gsipar3x.h [1.3.6.1.2.1], gsiparam.h [1.4.6.1.2.1],
    gsiparm2.h [1.2.6.1.2.1], gsiparm3.h [1.4.6.1.2.1],
    gsiparm4.h [1.2.6.1.2.1], gsistate.c [1.4.6.1.2.1], gsjconf.h [1.2.6.1.2.1],
    gslib.c [1.5.2.1.2.1], gslib.h [1.2.6.1.2.1], gsline.c [1.2.6.1.2.1]:
    2003/01/17 00:49:00 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (gsline.h [1.2.6.1.2.1], gslparam.h [1.2.6.1.2.1],
    gsmalloc.c [1.3.6.1.2.1], gsmalloc.h [1.2.6.1.2.1],
    gsmatrix.c [1.2.6.1.2.1], gsmatrix.h [1.2.6.1.2.1],
    gsmdebug.h [1.3.2.1.2.1], gsmemlok.c [1.3.6.1.2.1],
    gsmemlok.h [1.2.6.1.2.1], gsmemory.c [1.4.2.1.2.1],
    gsmemory.h [1.3.2.1.2.1], gsmemraw.h [1.2.6.1.2.1],
    gsmemret.c [1.2.6.1.2.1], gsmemret.h [1.2.6.1.2.1], gsmisc.c [1.12.2.1.2.1],
    gsnogc.c [1.7.2.1.2.1], gsnogc.h [1.2.6.1.2.1], gsnorop.c [1.2.6.1.2.1],
    gsnotify.c [1.2.6.1.2.1], gsnotify.h [1.2.6.1.2.1], gspaint.c [1.2.6.1.2.1],
    gspaint.h [1.2.6.1.2.1], gsparam.c [1.4.6.1.2.1], gsparam.h [1.8.4.1.2.1],
    gsparam2.c [1.2.6.1.2.1], gsparams.c [1.2.6.1.2.1],
    gsparams.h [1.2.6.1.2.1], gsparamx.c [1.4.2.1.2.1],
    gsparamx.h [1.3.6.1.2.1], gspath.c [1.2.6.1.2.1], gspath.h [1.2.6.1.2.1],
    gspath1.c [1.3.4.1.2.1], gspath2.h [1.2.6.1.2.1], gspcolor.c [1.4.6.1.2.1],
    gspcolor.h [1.2.6.1.2.1], gspenum.h [1.2.6.1.2.1], gsptype1.c [1.3.2.1.2.1],
    gsptype1.h [1.2.6.1.2.1], gsptype2.c [1.5.2.1.2.1],
    gsptype2.h [1.4.2.1.2.1], gsrect.h [1.2.6.1.2.1], gsrefct.h [1.2.6.1.2.1],
    gsrop.c [1.2.6.1.2.1], gsrop.h [1.2.6.1.2.1], gsropc.c [1.2.6.1.2.1],
    gsropc.h [1.2.6.1.2.1], gsropt.h [1.4.2.1.2.1], gsroptab.c [1.2.6.1.2.1],
    gsshade.c [1.4.2.1.2.1], gsshade.h [1.3.6.1.2.1], gsstate.c [1.11.2.1.2.1],
    gsstate.h [1.2.6.1.2.1], gsstruct.h [1.8.2.1.2.1], gsstype.h [1.2.6.1.2.1],
    gstext.c [1.6.2.2.2.1], gstext.h [1.3.6.1.2.1], gstparam.h [1.7.6.1.2.1],
    gstrans.c [1.13.2.1.2.1], gstrans.h [1.6.6.1.2.1], gstrap.c [1.3.6.1.2.1],
    gstrap.h [1.3.6.1.2.1], gstype1.c [1.6.4.1.2.1], gstype1.h [1.2.6.1.2.1],
    gstype2.c [1.10.2.3.2.1], gstype42.c [1.12.2.2.2.1],
    gstypes.h [1.3.2.1.2.1], gsuid.h [1.2.6.1.2.1], gsutil.c [1.4.6.2.2.1],
    gsutil.h [1.3.6.2.2.1], gsxfont.h [1.2.6.1.2.1], gx.h [1.2.6.1.2.1],
    gxacpath.c [1.3.6.1.2.1], gxalloc.h [1.6.2.1.2.1], gxalpha.h [1.2.6.1.2.1],
    gxarith.h [1.2.6.1.2.1], gxband.h [1.2.6.1.2.1], gxbcache.c [1.2.6.1.2.1],
    gxbcache.h [1.2.6.1.2.1], gxbitfmt.h [1.2.6.1.2.1],
    gxbitmap.h [1.2.6.1.2.1], gxbitops.h [1.2.6.1.2.1], gxblend.c [1.2.2.1.2.1],
    gxblend.h [1.1.2.1.2.1], gxccache.c [1.5.2.1.2.1], gxccman.c [1.2.6.1.2.1],
    gxcdevn.h [1.2.6.1.2.1], gxchar.c [1.5.2.5.2.1], gxchar.h [1.2.6.2.2.1],
    gxchrout.c [1.2.6.1.2.1], gxchrout.h [1.2.6.1.2.1], gxcht.c [1.3.2.1.2.1],
    gxcid.h [1.3.6.1.2.1], gxcie.h [1.3.2.1.2.1], gxcindex.h [1.2.6.1.2.1],
    gxclbits.c [1.4.4.1.2.1], gxcldev.h [1.4.4.1.2.1], gxclfile.c [1.3.2.1.2.1],
    gxclimag.c [1.3.2.1.2.1], gxclio.h [1.2.6.1.2.1], gxclip.c [1.4.2.1.2.1],
    gxclip.h [1.2.6.1.2.1], gxclip2.c [1.3.6.1.2.1], gxclip2.h [1.2.6.1.2.1],
    gxclipm.c [1.3.6.1.2.1], gxclipm.h [1.2.6.1.2.1], gxclipsr.h [1.2.6.1.2.1],
    gxclist.c [1.3.6.1.2.1], gxclist.h [1.2.6.1.2.1], gxcllzw.c [1.2.6.1.2.1],
    gxclmem.c [1.2.6.1.2.1], gxclmem.h [1.2.6.1.2.1], gxclpage.c [1.2.6.1.2.1],
    gxclpage.h [1.2.6.1.2.1], gxclpath.c [1.9.2.1.2.1],
    gxclpath.h [1.6.6.1.2.1], gxclrast.c [1.9.2.1.2.1],
    gxclread.c [1.3.4.1.2.1], gxclrect.c [1.2.6.1.2.1],
    gxclutil.c [1.5.2.1.2.1], gxclzlib.c [1.2.6.1.2.1], gxcmap.c [1.3.6.1.2.1],
    gxcmap.h [1.2.6.1.2.1], gxcolor2.h [1.4.6.1.2.1], gxcomp.h [1.2.6.1.2.1],
    gxcoord.h [1.2.6.1.2.1], gxcpath.c [1.3.6.1.2.1], gxcpath.h [1.2.6.1.2.1],
    gxcspace.h [1.4.6.1.2.1], gxctable.c [1.3.6.1.2.1],
    gxctable.h [1.2.6.1.2.1], gxcvalue.h [1.2.6.1.2.1],
    gxdcconv.c [1.3.6.1.2.1], gxdcconv.h [1.2.6.1.2.1],
    gxdcolor.c [1.3.6.1.2.1], gxdcolor.h [1.3.6.1.2.1], gxdda.h [1.2.6.1.2.1],
    gxdevbuf.h [1.2.6.1.2.1], gxdevcli.h [1.5.2.2.2.1],
    gxdevice.h [1.4.6.3.2.1], gxdevmem.h [1.2.6.1.2.1],
    gxdevrop.h [1.2.6.1.2.1], gxdht.h [1.4.6.1.2.1], gxdhtres.h [1.2.6.1.2.1],
    gxdither.h [1.2.6.1.2.1], gxfarith.h [1.3.6.1.2.1],
    gxfcache.h [1.2.6.1.2.1], gxfcid.h [1.6.6.1.2.1], gxfcmap.h [1.8.2.1.2.1],
    gxfill.c [1.8.2.1.2.1], gxfixed.h [1.3.4.1.2.1], gxfmap.h [1.3.6.1.2.1],
    gxfont.h [1.3.4.1.2.1], gxfont0.h [1.3.6.1.2.1], gxfont1.h [1.5.4.1.2.1],
    gxfont42.h [1.4.6.1.2.1], gxfrac.h [1.3.4.1.2.1], gxftype.h [1.2.6.1.2.1],
    gxfunc.h [1.3.6.1.2.1], gxgetbit.h [1.2.6.1.2.1], gxhint1.c [1.2.6.1.2.1],
    gxhint2.c [1.2.6.1.2.1], gxhint3.c [1.3.2.1.2.1], gxht.c [1.2.6.2.2.1],
    gxht.h [1.2.6.1.2.1], gxhtbit.c [1.3.6.1.2.1], gxhttile.h [1.2.6.1.2.1],
    gxhttype.h [1.2.6.1.2.1], gxi12bit.c [1.2.6.1.2.1],
    gxiclass.h [1.2.6.1.2.1], gxicolor.c [1.3.2.1.2.1], gxidata.c [1.4.6.1.2.1],
    gxifast.c [1.4.2.1.2.1], gximag3x.c [1.7.6.1.2.1], gximag3x.h [1.3.6.1.2.1],
    gximage.c [1.2.6.1.2.1], gximage.h [1.2.6.1.2.1], gximage1.c [1.5.6.1.2.1],
    gximage2.c [1.2.6.1.2.1], gximage3.c [1.6.6.1.2.1],
    gximage3.h [1.4.6.1.2.1], gximage4.c [1.3.6.1.2.1], gximono.c [1.2.6.1.2.1],
    gxino12b.c [1.2.6.1.2.1], gxiodev.h [1.2.6.1.2.1], gxiparam.h [1.2.6.1.2.1],
    gxipixel.c [1.2.6.1.2.1], gxiscale.c [1.2.6.2.2.1],
    gxistate.h [1.6.6.1.2.1], gxline.h [1.2.6.1.2.1], gxlum.h [1.2.6.1.2.1],
    gxmatrix.h [1.4.6.1.2.1], gxmclip.c [1.2.6.1.2.1], gxmclip.h [1.2.6.1.2.1],
    gxobj.h [1.2.6.1.2.1], gxop1.h [1.2.6.1.2.1], gxp1fill.c [1.2.6.1.2.1],
    gxp1impl.h [1.2.6.1.2.1], gxpageq.c [1.2.6.1.2.1], gxpageq.h [1.2.6.1.2.1],
    gxpaint.c [1.2.6.1.2.1], gxpaint.h [1.2.6.1.2.1], gxpath.c [1.2.6.1.2.1],
    gxpath.h [1.2.6.1.2.1], gxpath2.c [1.2.6.1.2.1], gxpcache.h [1.2.6.1.2.1],
    gxpcmap.c [1.3.6.1.2.1], gxpcolor.h [1.2.6.1.2.1], gxpcopy.c [1.3.6.1.2.1],
    gxpdash.c [1.2.6.1.2.1], gxpflat.c [1.2.6.1.2.1], gxropc.h [1.2.6.1.2.1],
    gxrplane.h [1.2.6.1.2.1], gxsample.c [1.2.6.1.2.1],
    gxsample.h [1.2.6.1.2.1], gxshade.c [1.6.2.1.2.1], gxshade.h [1.4.2.1.2.1],
    gxshade1.c [1.9.2.1.2.1], gxshade4.c [1.6.2.1.2.1],
    gxshade4.h [1.2.6.1.2.1], gxshade6.c [1.3.6.1.2.1], gxstate.h [1.2.6.1.2.1],
    gxstdio.h [1.2.6.1.2.1], gxstroke.c [1.2.6.2.2.1], gxsync.c [1.2.6.1.2.1],
    gxsync.h [1.2.6.1.2.1], gxtext.h [1.7.2.1.2.1], gxtmap.h [1.2.6.1.2.1],
    gxttf.h [1.2.6.1.2.1], gxtype1.c [1.8.4.1.2.1], gxtype1.h [1.5.4.1.2.1],
    gxxfont.h [1.2.6.1.2.1], gzacpath.h [1.2.6.1.2.1], gzcpath.h [1.2.6.1.2.1],
    gzht.h [1.4.4.1.2.1], gzline.h [1.2.6.1.2.1], gzpath.h [1.3.6.1.2.1],
    gzstate.h [1.5.2.1.2.1], jerror_.h [1.2.6.2.2.1], malloc_.h [1.2.6.1.2.1],
    math_.h [1.2.6.1.2.1], md5.c [1.2.8.1], md5.h [1.1.8.1],
    memory_.h [1.2.6.1.2.1], pipe_.h [1.2.6.2.2.1], time_.h [1.3.2.2.2.1],
    unistd_.h [1.4.2.1.2.1], vmsmath.h [1.2.6.1.2.1], windows_.h [1.2.6.1.2.1]:
    2003/01/17 00:49:03 giles)

    Update release date for final 7.06 release. (gscdef.c [1.15.2.4.2.2]:
    2003/02/09 16:20:05 giles)

    Add pngalpha device that uses RGBA, with the alpha channel providing pixel
    coverage. Used for generating PNG images with a transparent background.
    (gdevprn.h [1.6.6.2.2.2]: 2003/03/11 11:59:10 ghostgum)

## Other

    Add a configure option to enable COMPILE_INITS. After a patch from Michael
    Sweet. (Makefile.in [1.1.4.8], configure.ac [1.4.4.10]: 2002/05/03 03:40:11
    giles)

    Add a configure option for setting the name of the ghostscript executable.
    From a patch by Michael Sweet. (Makefile.in [1.1.4.9],
    configure.ac [1.4.4.11]: 2002/05/03 07:26:21 giles)

    Add a .cvsignore. (ijs/.cvsignore [1.1.2.1]: 2002/09/29 17:53:27 giles)

    Remove remaining elements of support for K&R (pre-ansi) C. We no longer
    support building ghostscript tt way, but the remaining dead code causes
    confusion for some users. Closes Sourceforge bug #618048.
    (Makefile.in [1.1.4.10]: 2002/10/10 00:24:01 giles)

    Set USE_ASM to zero explicitly. (Makefile.in [1.1.4.11]: 2002/10/10 12:47:49
    giles)

    Backport debug and unitialized variable fixes from HEAD. After a patch from
    Alexei A. Podtelezhnikov. (gdevp14.c [1.4.2.2], gsalloc.c [1.11.2.2],
    gxht.c [1.2.6.2]: 2002/12/01 15:10:20 giles)

    Backport additional cast and initialization fixes. (gdevp14.c [1.4.2.3]:
    2002/12/01 18:02:41 giles)

    Backport MacOS build updates for Metrowerks CW8 from HEAD.
    (time_.h [1.3.2.2]: 2002/12/01 23:29:37 giles)

    Backport MacOS build updates for Metrowerks CW8 from HEAD.
    (macsystypes.h [1.1.4.3]: 2002/12/01 23:29:37 giles)

    Add working 'distclean' and 'maintainer-clean' targets to the autoconf
    makefile. Backport from HEAD. (Makefile.in [1.1.4.12]: 2002/12/02 00:10:24
    giles)

    Update release date for second candidate. Also adds a dummy 'check' target
    to the autoconf makefile for standards compliance. (Makefile.in [1.1.4.13]:
    2002/12/02 01:55:46 giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (Makefile.in [1.1.4.13.2.1], gp_mac.h [1.1.4.2.2.1],
    gp_mswin.h [1.4.2.1.2.1], gsdll.h [1.3.2.2.2.1], gsdllos2.h [1.2.6.1.2.1],
    gsdllwin.h [1.3.2.1.2.1], gsjmorec.h [1.3.4.1.2.1]: 2003/01/17 00:49:00
    giles)

    Apply standard GNU license banner at the request of RMS. Patch from Brett
    Smith. (gspmdrv.h [1.2.6.1.2.1], iutilasm.asm [1.2.6.1.2.1],
    macsystypes.h [1.1.4.3.2.1], vms_x_fix.h [1.1.2.2.2.1]: 2003/01/17 00:49:03
    giles)

    Define the RM macro for the benifit of the 'clean' targets in the autoconf
    build. (Makefile.in [1.1.4.13.2.2]: 2003/02/09 17:20:51 giles)